{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        filters : {{ filters|json_encode()|raw }},
        gridLoaded : false,
        init : function(){
            var t = this;
            //t.initReportBuilder();
            //{{ modulename }}Obj.superclass.init.call(t);
        },
        initReportBuilder: function(){
            //var t = this;
            //var rules_basic = {
            //    condition: 'AND',
            //    rules: [{
            //        id: 'price',
            //        operator: 'less',
            //        value: 10.25
            //    }, {
            //        condition: 'OR',
            //        rules: [{
            //            id: 'category',
            //            operator: 'equal',
            //            value: 2
            //        }, {
            //            id: 'category',
            //            operator: 'equal',
            //            value: 1
            //        }]
            //    }]
            //};
//
            //t.scope.queryBuilder({
            //    plugins: [],
//
            //    filters: [{
            //        id: 'name',
            //        label: 'Name',
            //        type: 'string'
            //    }, {
            //        id: 'category',
            //        label: 'Category',
            //        type: 'integer',
            //        input: 'select',
            //        values: {
            //            1: 'Books',
            //            2: 'Movies',
            //            3: 'Music',
            //            4: 'Tools',
            //            5: 'Goodies',
            //            6: 'Clothes'
            //        },
            //        operators: ['equal', 'not_equal', 'in', 'not_in', 'is_null', 'is_not_null']
            //    }, {
            //        id: 'in_stock',
            //        label: 'In stock',
            //        type: 'integer',
            //        input: 'radio',
            //        values: {
            //            1: 'Yes',
            //            0: 'No'
            //        },
            //        operators: ['equal']
            //    }, {
            //        id: 'price',
            //        label: 'Price',
            //        type: 'double',
            //        validation: {
            //            min: 0,
            //            step: 0.01
            //        }
            //    }, {
            //        id: 'id',
            //        label: 'Identifier',
            //        type: 'string',
            //        placeholder: '____-____-____',
            //        operators: ['equal', 'not_equal'],
            //        validation: {
            //            format: /^.{4}-.{4}-.{4}$/
            //        }
            //    }],
//
            //    rules: rules_basic
            //});
//
            //return;
            //console.log(t.filters);
            //t.scope.queryBuilder({
            //    plugins: [],
            //    filters: t.filters
            //});
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
